## ros-kinetic-kobuki-gazebo-plugins 0.5.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(kobuki_gazebo_plugins)

find_package(gazebo REQUIRED)


find_package(catkin REQUIRED COMPONENTS gazebo_ros
                                        gazebo_plugins
                                        geometry_msgs
                                        kobuki_msgs
                                        nav_msgs
                                        roscpp
                                        sensor_msgs
                                        std_msgs
                                        tf)

catkin_package(INCLUDE_DIRS include
               LIBRARIES gazebo_ros_kobuki
               CATKIN_DEPENDS gazebo_ros
                              gazebo_plugins
                              geometry_msgs
                              kobuki_msgs
                              nav_msgs
                              roscpp
                              sensor_msgs
                              std_msgs
                              tf)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

link_directories(${GAZEBO_LIBRARY_DIRS})
include_directories(include
                    ${catkin_INCLUDE_DIRS}
                    ${GAZEBO_INCLUDE_DIRS})

add_library(gazebo_ros_kobuki src/gazebo_ros_kobuki.cpp 
                              src/gazebo_ros_kobuki_updates.cpp 
                              src/gazebo_ros_kobuki_loads.cpp)
add_dependencies(gazebo_ros_kobuki ${catkin_EXPORTED_TARGETS})
target_link_libraries(gazebo_ros_kobuki
                      ${catkin_LIBRARIES}
                      ${GAZEBO_LIBRARIES})

install(TARGETS gazebo_ros_kobuki
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-kinetic-kobuki-gazebo-plugins (0.5.7-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 15 May 2017 00:05:25 -0000

ros-kinetic-kobuki-gazebo-plugins (0.5.6-0xenial) xenial; urgency=high

  * update at the end of the event loop so the bumper sensor can be caught

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sat, 01 Apr 2017 04:00:00 -0000

ros-kinetic-kobuki-gazebo-plugins (0.5.3-0xenial) xenial; urgency=high

  * add_dependencies with catkin_EXPORTED_TARGETS, not xyz_gencpp targets which might not be there

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 23 Feb 2017 05:00:00 -0000

ros-kinetic-kobuki-gazebo-plugins (0.5.1-0xenial) xenial; urgency=high

  * bugfix for ros logging.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 20 Sep 2016 04:00:00 -0000

ros-kinetic-kobuki-gazebo-plugins (0.4.2-0xenial) xenial; urgency=high

  * kobuki_gazebo_plugins: Resolve IMU sensor using fully scoped name
    This ensures uniqueness among multiple models in which the sensor has the
    same name. In this case, our specific motivation is the Kobuki Gazebo
    plugin being spawned multiple times using kobuki_gazebo.urdf.xacro in the
    package kobuki_description.
  * Contributors: Scott Livingston

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 02 Mar 2015 05:00:00 -0000

ros-kinetic-kobuki-gazebo-plugins (0.4.1-0xenial) xenial; urgency=high

  * kobuki_gazebo_plugins: makes bump detection more reliable
  * remove duplicated spinonce
  * renamed updater to updates and loader to loads. reorder headers
  * tf_prefix added. base_prefix added
  * Contributors: Jihoon Lee, Marcus Liebhardt

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 19 Sep 2014 04:00:00 -0000

ros-kinetic-kobuki-gazebo-plugins (0.4.0-0xenial) xenial; urgency=high

  * cherry-picking #30 <https://github.com/yujinrobot/kobuki_desktop/issues/30>
  * trivial update.
  * removes email addresses from authors
  * replace deprecated shared_dynamic_cast (fixes #25 <https://github.com/yujinrobot/kobuki_desktop/issues/25>)
  * Contributors: Daniel Stonier, Marcus Liebhardt, Nikolaus Demmel, Samir Benmendil

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 11 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-gazebo-plugins (0.3.1-0xenial) xenial; urgency=high

  * fixes gazebo header paths (refs #22 <https://github.com/yujinrobot/kobuki_desktop/issues/22>)

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 14 Oct 2013 04:00:00 -0000

ros-kinetic-kobuki-gazebo-plugins (0.3.0-0xenial) xenial; urgency=high

  * fixes bumper & cliff event publishing
  * adds reset odometry and fixes imu and odom data processing
  * adds IMU data processing
  * adds bugtracker and repo info to package.xml

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-kinetic-kobuki-gazebo-plugins (0.2.0-0xenial) xenial; urgency=high

  * ROS Hydro beta release.
  * Adds catkinized kobuki_qtestsuite

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 11 Jul 2013 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-kobuki-gazebo-plugins
Section: misc
Priority: extra
Maintainer: Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-catkin, ros-kinetic-gazebo-plugins, ros-kinetic-gazebo-ros, ros-kinetic-geometry-msgs, ros-kinetic-kobuki-msgs, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf
Homepage: http://ros.org/wiki/kobuki_gazebo_plugins
Standards-Version: 3.9.2

Package: ros-kinetic-kobuki-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-gazebo-plugins, ros-kinetic-gazebo-ros, ros-kinetic-geometry-msgs, ros-kinetic-kobuki-msgs, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf
Description: Kobuki-specific ROS plugins for Gazebo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-kobuki-gazebo-plugins//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
